## Class simple_user_service

zeep::http::simple_user_service — A very simple implementation of the user service class.

## Synopsis

    // In header: <zeep/http/security.hpp>

    class simple_user_service : public  {
    public:
      // construct/copy/destruct
      ();

      // public member functions
      user_details () ;
       (, ,
                    );
    };

## Description

This implementation of a user service can be used to jump start a project. Normally you would implement something more robust.

### `simple_user_service` public construct/copy/destruct

1.     ( users);

### `simple_user_service` public member functions

1.     user_details ( username) ;

   return the `user_details` for a user named username

2.      ( username,  password,
                      roles);